Update template (deprecated alias)
curl --request PUT \
--url https://api.aireserve.com/v1/gpu/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"imageName": "<string>",
"containerDiskGb": 512,
"env": {},
"ports": [
{
"port": 32768
}
],
"dockerStartCmd": [
"<string>"
],
"isActive": true
}
'import requests
url = "https://api.aireserve.com/v1/gpu/templates/{templateId}"
payload = {
"name": "<string>",
"imageName": "<string>",
"containerDiskGb": 512,
"env": {},
"ports": [{ "port": 32768 }],
"dockerStartCmd": ["<string>"],
"isActive": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
imageName: '<string>',
containerDiskGb: 512,
env: {},
ports: [{port: 32768}],
dockerStartCmd: ['<string>'],
isActive: true
})
};
fetch('https://api.aireserve.com/v1/gpu/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "pod",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
Update template (deprecated alias)
deprecated
Deprecated alias of PATCH. Removed after one release. Requires compute manage access.
PUT
/
v1
/
gpu
/
templates
/
{templateId}
Update template (deprecated alias)
curl --request PUT \
--url https://api.aireserve.com/v1/gpu/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"imageName": "<string>",
"containerDiskGb": 512,
"env": {},
"ports": [
{
"port": 32768
}
],
"dockerStartCmd": [
"<string>"
],
"isActive": true
}
'import requests
url = "https://api.aireserve.com/v1/gpu/templates/{templateId}"
payload = {
"name": "<string>",
"imageName": "<string>",
"containerDiskGb": 512,
"env": {},
"ports": [{ "port": 32768 }],
"dockerStartCmd": ["<string>"],
"isActive": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
imageName: '<string>',
containerDiskGb: 512,
env: {},
ports: [{port: 32768}],
dockerStartCmd: ['<string>'],
isActive: true
})
};
fetch('https://api.aireserve.com/v1/gpu/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "pod",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Headers
Client-chosen key of 8–180 characters [A-Za-z0-9:_-]. Replaying the same key with the same body returns the original operation; a different body with the same key fails with 409 operation_conflict.
Required string length:
8 - 180Pattern:
^[A-Za-z0-9:_-]+$Path Parameters
Body
application/json
Required string length:
1 - 120Required string length:
1 - 500Pattern:
^(?![A-Za-z][A-Za-z0-9+.-]*:\/\/)[A-Za-z0-9][A-Za-z0-9./_:@-]*$Required range:
1 <= x <= 1024Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
32Maximum string length:
4096Response
Accepted. Poll operationId for completion.
Body of every 202 Accepted Compute mutation.
Available options:
true ID of the resource created or mutated.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
pod, volume, cluster, template, registry, ssh_key Durable operation record. Poll GET /v1/gpu/operations/{id} until a terminal status.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
accepted